﻿@model DAL.DBEntities.Customer
@{
    ViewBag.Title = "OrderHistory";
    Layout = "~/Views/Shared/_Layout.cshtml";
    //DAL.DBEntities.OMSSession sess = (DAL.DBEntities.OMSSession)System.Web.HttpContext.Current.Session["OMSSession"];
}

<div class="row">
    <div class="sidebar-horizontal">
        <!-- Sidebar Menu -->
        <div class="row">
            <div class="col-md-10">
                <h5 class="box-title">@Model.CompanyName</h5>
            </div>
            <div class="col-md-2 text-right sidebar_horiz_res_navicon">
                <a href="#"><i class="feather feather-menu list-icon fs-20"></i></a>
            </div>
        </div>
        <nav class="sidebar-nav mb-4">
            <ul class="nav in side-menu nav nav-tabs cstm_tabs" role="tablist">
                <li class="nav-item active">
                    <a href="javascript:;" class="nav-link active" id="orders" data-toggle="tab" data-target="#order"><span class="hide-menu">Order</span></a>
                </li>
                <li class="nav-item">
                    <a href="javascript:void(0);" id="subscript" class="nav-link" data-toggle="tab" data-target="#subscriptions"><span class="hide-menu">Subscriptions</span></a>
                </li>
                <li class="nav-item">
                    <a href="javascript:void(0);" class="nav-link dropdown-toggle tab_drop_down_a" data-toggle="dropdown" data-target="#"><span class="hide-menu">Software</span></a>
                    <div class="dropdown-menu tab_drop_down">
                        <a class="dropdown-item" href="@Url.Action("Index","Product",new { Category="Azure"})">Azure</a>
                        <a class="dropdown-item" href="@Url.Action("Index","Product",new { Category="OnlineServices"})">Online Services</a>
                        <a class="dropdown-item" href="@Url.Action("Index","Product",new { Category="Software"})">Software subscriptions</a>
                    </div>
                </li>
                <li class="nav-item">
                    <a href="javascript:void(0);" class="nav-link" data-toggle="tab" data-target="#"><span class="hide-menu">Devices</span></a>
                </li>
                <li class="nav-item">
                    <a href="javascript:void(0);" class="nav-link" data-toggle="tab" data-target="#"><span class="hide-menu">Analytics</span></a>
                </li>
                <li class="nav-item">
                    <a href="javascript:void(0);" class="nav-link" data-toggle="tab" data-target="#"><span class="hide-menu">Users and Licenses</span></a>
                </li>
                <li class="nav-item">
                    <a href="javascript:void(0);" class="nav-link" data-toggle="tab" data-target="#"><span class="hide-menu">Services management</span></a>
                </li>
                <li class="nav-item">
                    <a href="javascript:void(0);" class="nav-link" data-toggle="tab" data-target="#"><span class="hide-menu">Account</span></a>
                </li>
            </ul>
            <!-- /.side-menu -->
        </nav>
        <!-- /.sidebar-nav -->
    </div>
</div>



<!-- =================================== -->
<!-- Different data widgets ============ -->
<!-- =================================== -->


<div class="widget-list tab-content cstm_tab_cntnt">
    <div class="tab-pane active" id="order">

        <!-- /.widget-bg -->
    </div>

    <div class="tab-pane" id="subscriptions">
        
    </div>
</div>
@section InScript{
<script type="text/javascript">
    function OnLoad()
    {
        $.ajax({
            type: "get",
            url: "@Url.Action("Orders", "Order")",
           //data: { "cartList": JSON.stringify(cartList) },
            success: function (data) {
                $('#order').empty();
                $('#order').html(data);
                Grid();
                //$('.tbl_expend_customer').treeTable();
                @*if (data.success) {
                    $.removeCookie('Cart');
                    window.location.href = "@Url.Action("Index", "Customer")";
                } else {
                            $('.alert-dismissible').find('p').text(data.message);
                $('.alert-dismissible').show();
                //alert();
            }*@

            }
    });
    }

    function Tabfunction()
    {
        $('.cstm_tabs li > a').click(function () {
            $('li > a').removeClass('nav-link active').addClass('nav-link')
            $(this).parent().addClass('nav-item active');
        });
    }

    function Grid()
    {
        $('.tbl_expend_customer').treeTable();
        $('.treetable-depth-0').removeClass('treetable-expanded');
        $('.treetable-depth-0').addClass('treetable-collapsed');
        $('.treetable-depth-1').hide();

        $(".treetable-expander").removeClass("fa fa-angle-down");
        $(".treetable-expander").addClass("fa fa-angle-right");
    }
    $(document).ready(function () {
        Tabfunction();
        OnLoad();
        
        $('#orders').click(function () {
            OnLoad();
        });

        $('#subscript').click(function () {
            $.ajax({
                type: "get",
                url: "@Url.Action("Subscriptions", "Order")",
            //data: { "cartList": JSON.stringify(cartList) },
                success: function (data) {
                    $('#subscriptions').empty();
                    $('#subscriptions').html(data);
                    //$('.tbl_expend_customer').treeTable();
                    Grid();
                    @*if (data.success) {
                        $.removeCookie('Cart');
                        window.location.href = "@Url.Action("Index", "Customer")";
                    } else {
                                $('.alert-dismissible').find('p').text(data.message);
                    $('.alert-dismissible').show();
                    //alert();
                }*@

                }
        })
        })
    });
</script>
}